> For the complete documentation index, see [llms.txt](https://docs.zaui.com/octo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaui.com/octo/optional-capabilities/pickups.md).

# Pickups

{% hint style="info" %}
Add `octo/pickups` to your `OCTO-Capabilities` header to expose this capability
{% endhint %}

{% tabs %}
{% tab title="Products" %}
Adds pickup location data to the products schema

```javascript
{
    //rest of the product schema
    "pickupAvailable": true,
    "pickupRequired": false,
    "pickupPoints": [
        {
            "id": "98765",
            "name": "Hilton Central Park - NYC",
            "latitude": 40.764479,
            "longitude" -73.977597,
            "street": "W 57th Street",
            "postal": "10019",
            "city": "New York City",
            "state": "NY",
            "country": "USA"
        },
        {
            "id": "845373",
            "name": "Park Lane Hotel",
            "latitude": 40.765162,
            "longitude" -73.975113,
            "street": "W 59th Street",
            "postal": "10019",
            "city": "New York City",
            "state": "NY",
            "country": "USA"
        },
    ]
}
```

{% endtab %}

{% tab title="Availability" %}
Adds pickup location data to the availability schema.

```javascript
{
    //rest of the availability schema
    "pickupAvailable": true,
    "pickupRequired": false,
    "pickupPoints": [
        {
            "id": "98765",
            "name": "Hilton Central Park - NYC",
            "latitude": 40.764479,
            "longitude" -73.977597,
            "street": "W 57th Street",
            "postal": "10019",
            "city": "New York City",
            "state": "NY",
            "country": "USA"
        },
        {
            "id": "845373",
            "name": "Park Lane Hotel",
            "latitude": 40.765162,
            "longitude" -73.975113,
            "street": "W 59th Street",
            "postal": "10019",
            "city": "New York City",
            "state": "NY",
            "country": "USA"
        },
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/octo/optional-capabilities/pickups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
